Software Stack Versions

Within this page, you can find the list of the latest software stacks and engines provided by Jelastic PaaS:
Tip: It is highly recommended to periodically (at least once per year) re-create your environments for getting all the newly added functionality and the latest stacks versions, provided through the regular Jelastic platform updates.
LOAD BALANCERS
Name & Link to TagsLatest Supported Version
Apache Balancer2.4.41
HAProxy1.9.7; 2.0.5
LiteSpeed Web ADC2.5.1
NGINX Balancer1.16.1
Varnish4.1.8; 5.2.1; 6.3.0

APPLICATION SERVERS
Name & Link to TagsLatest Supported Version
Apache PHP2.4.41
Apache Python2.4.41
Apache Ruby2.4.41
GlassFish3.1.2.2; 4.1.2; 5.1.0
Golang1.12.10; 1.13.1
IIS8
Jetty9.4.12
LiteSpeed Web Server5.4.1
NGINX PHP1.16.1
NGINX Ruby1.16.1
NodeJS6.17.1; 8.16.1; 9.11.2; 10.16.3; 11.15.0; 12.9.0
Payara4.1.2.181; 5.192
Spring Boot2
Tomcat7.0.96; 8.5.45; 9.0.24
TomEE7.1.0; 8.0.0
WildFly10.1.0; 11.0.0; 12.0.0; 13.0.0; 14.0.1; 15.0.1; 16.0.0; 17.0.1

DATABASES
Name & Link to TagsLatest Supported Version
Couchbase CE
5.1.1; 6.0.0
MariaDB5.5.65; 10.4.8
MongoDB2.6.12; 3.6.13; 4.0.10
MSSQL2012
MySQL CE5.6.45; 5.7.27; 8.0.17
Percona5.6.44; 5.7.26
PostgreSQL9.6.15; 10.9; 11.5
Redis4.0.11; 5.0.5

ADDITIONAL STACKS
Name & Link to TagsLatest Supported Version
CentOS (VPS)
(dockerized since Jelastic 5.7)
7.6
Debian (VPS)
(since Jelastic 5.7)
9.8
Docker Engine CE17.12; 18.09.7; 19.03.1
Kubernetes1.15.0
Maven3.6.2
Memcached1.5.19
ProxySQL1.4.13
Shared Storage2.0-6.5
Ubuntu (VPS)
(dockerized since Jelastic 5.7)
16.04; 18.04
Windows (VPS)2012

ENGINES
NameLatest Supported Version
AdoptOpenJDK8.0.222; 9.0.4; 10.0.2; 11.0.4; 12.0.2
Amazon Corretto8.222.10.1; 11.0.4.11.1
Eclipse OpenJ90.9.0-9.0.4.12; 0.9.0-10.0.2; 0.11.0-8u192-b12; 0.11.0-11.0.1; 0.15.1-8u222-b10; 0.15.1-11.0.4; 0.15.1-12.0.2
GraalVM CE19.1.1; 19.2.0
Liberica JDK8.0.222; 11.0.4; 12.0.2
Oracle JDK Dev7.0_79; 8.0_202; 9.0.4; 10.0.2; 11.0.2
Oracle OpenJDK7.0.231; 8.0.222; 10.0.2; 11.0.4; 12.0.2; 13.ea-b33; 14.ea-b14
Zulu Community
7.0.232; 8.0.222; 11.0.4; 12.0.2
PHP 55.3.29; 5.4.45; 5.5.38; 5.6.40
PHP 77.0.33; 7.1.32; 7.2.22; 7.3.9
Ruby2.3.8; 2.4.6; 2.5.5; 2.6.3
Python 22.7.16
Python 33.4.10; 3.5.7; 3.6.9; 3.7.4
Node.js6.17.1; 8.16.0; 9.11.2; 10.16.0; 11.15.0; 12.6.0
.NET4
Go1.12.10; 1.13.1